Bug 206751 - show details doesn't
show details doesn't
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-09-16 01:14 EDT by louisgtwo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-30 22:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description louisgtwo 2006-09-16 01:14:26 EDT
when booting if 'show details' is pressed the display doesn't show all services.
Stops at enabling swap...
Comment 1 louisgtwo 2006-09-16 22:07:27 EDT
May be an selinux issue. With selinux in permissive mode 'show details' workes fine.
Comment 2 Daniel Walsh 2006-09-28 11:13:51 EDT
Any avc messages?

Look in /var/log/audit/audit.log and /var/log/messages
Comment 3 louisgtwo 2006-09-28 16:59:11 EDT
Well as of Sept. 28 rhgb does not work at all. I see X startup but only to a
black screen.
Comment 4 Ray Strode [halfline] 2006-09-28 17:49:02 EDT
I made a change yesterday to rhgb that depends on the X instance it starts being
able to do kill(getppid(), SIGUSR1) when its ready for connections.

I think the selinux policy is preventing X from doing that.  Dan, is that easy
to fix, or should I revert my change?
Comment 5 Daniel Walsh 2006-09-29 11:24:48 EDT
Fixed in selinux-policy-2.3.16-8.noarch.rpm
Comment 6 louisgtwo 2006-09-30 22:52:39 EDT
I can confirm selinux-policy-2.3.16-9 fixes all my rhgb issues.

Note You need to log in before you can comment on or make changes to this bug.